%{?drupal7_find_provides_and_requires}

%global module_name cck
%global pre_release alpha3

Name:          drupal7-%{module_name}
Version:       3.0
Release:       0.1.%{pre_release}%{?dist}
Summary:       Miscellaneous field functions not handled by core

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module_name}
Source0:       http://ftp.drupal.org/files/projects/%{module_name}-7.x-%{version}-%{pre_release}.tar.gz
Source1:       %{name}-RPM-README.txt

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

Requires:      drupal7(field_ui)
# phpcompatinfo (computed from version 3.0-alpha3)
Requires:      php-pdo

%description
The Content Construction Kit allows you to add custom fields to nodes using a
web browser.

This package provides the following Drupal modules:
* %{module_name}
* content_migrate


%prep
%setup -q -n %{module_name}
cp -p %{SOURCE1} .

# Remove executable bit
chmod -x LICENSE.txt


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -p -m 0755 %{buildroot}%{drupal7_modules}/%{module_name}
cp -pr * %{buildroot}%{drupal7_modules}/%{module_name}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupal7_modules}/%{module_name}
%exclude %{drupal7_modules}/%{module_name}/*.txt


%changelog
* Thu Jan 09 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 3.0-0.1.alpha3
- Updated to 3.0-alpha3 (release notes: https://drupal.org/node/2155617) (BZ #1043059)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-0.5.dev
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-0.4.dev
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-0.3.dev
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-0.2.dev
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep 7 2011 Scott Dodson <sdodson@redhat.com> - 2-0.1.dev
- Intial Drupal 7 Package
